### Method

# Gtk Entry get_icon_area

#### Declaration [src]

    void
    gtk_entry_get_icon_area (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos,
      GdkRectangle* icon_area
    )

#### Description [src]

Gets the area where entry’s icon at `icon_pos` is drawn.

This function is useful when drawing something to the entry in a draw callback.

If the entry is not realized or has no icon at the given position, `icon_area` is filled with zeros. Otherwise, `icon_area` will be filled with the icon’s allocation, relative to `entry`‘s allocation.

#### Parameters

`icon_pos`

  Type: `GtkEntryIconPosition`

  Icon position.

`icon_area`

  Type: `GdkRectangle`

  Return location for the icon’s area.

  The argument will be set by the function.
  The data is owned by the instance.